Subject: Re: bug#47392: [PATCH 0/2] Add Laminar.

From: Christopher Baines <[email-masked]>
Date: Fri, 09 Apr 2021 12:06:02 +0100

Ludovic Courtès <[email-masked]> writes:

> Christopher Baines <[email-masked]> skribis:
>
>> * gnu/services/ci.scm: New file.
>> * gnu/tests/ci.scm: New file.
>> * doc/guix.texi (Laminar): Document the Laminar service.
>
> [...]
>
>> +@defvr {Scheme Procedure} laminar-service-type
>> +The type of the Laminar service.  Its value must be a
>> +@code{laminar-configuration} object, as described below.
>> +@end defvr
>
> It would be nice to add a config example with one or two sentences
> explaining what it does.

Sure, I've added an example now, albeit the simplest one.

>> +  #:export (<laminar-configuration>
>
> Please don’t export the record type descriptor.

I removed this.

> Otherwise LGTM, thanks!

Cool, I've pushed this as eda4bb4f16f74436b0caf1c584888c89b3c4c69b now.